@echo off
for %%a in (C D E F G H I J K L M N O P Q R S T U V W X Y Z) do if exist %%a:\Storage\Intel\RST\RSTInst.bat set CDROM=%%a:

@echo off
title Intel(R) Rapid Storage Technology Installation

echo Install Intel(R) Rapid Storage Technology Driver...
start /wait pnputil.exe /add-driver %CDROM%\Storage\Intel\RST\F6\f6flpy-x64\*.inf /install

echo.
echo Install Intel(R) Optane(TM) Memory and Storage Management Component...
start /wait pnputil.exe /add-driver %CDROM%\Storage\Intel\RST\F6\HsaComponent\*.inf /install

echo.
echo Install Intel(R) Optane(TM) Memory and Storage Management Extension...
start /wait pnputil.exe /add-driver %CDROM%\Storage\Intel\RST\F6\HsaExtension\*.inf /install

echo.
echo Install Intel(R) Optane(TM) Pinning Shell Extensions...
start /wait pnputil.exe /add-driver %CDROM%\Storage\Intel\RST\F6\PinningComponent\*.inf /install

echo.
exit